<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/views/templates/default/template.xhtml">

    <ui:define name="content"> 
        <div class="ui-g">
            <div class="ui-g-12">
            	<h:form>
            		<p:focus for="${p:resolveFirstComponentWithId('inputNombre', view.clientId}" />
            		<p:panel header="${cliente.id == null ? 'Agregar' : 'Editar'} Cliente">
            			<p:panelGrid columns="2">
            				<p:outputLabel for="@next" value="Nombre" style="font-weight: bold" />
            				<p:inputText id="inputNombre" value="${cliente.nombre} size="30" />
            				
            				<p:outputLabel for="@next" value="primer apellido" style="font-weight: bold" />
            				<p:inputText value="${cliente.primerApellido} size="30" />
            				
            				<p:outputLabel for="@next" value="segundo apellido" style="font-weight: bold" />
            				<p:inputText value="${cliente.segundoApellido} size="30" />
            				
            				<p:outputLabel for="@next" value="fecha de nacimiento" style="font-weight: bold" />
            				<p:calendar value="{cliente.fechaNacimiento}" pattern="dd/MM/yyyy" locale="es" navigator="true" yearRange="c-90:c"/>
            				
            				<p:outputLabel for="@next" value="Curp" style="font-weight: bold" />
            				<p:inputText value="${cliente.curp} size="30" />
            				
            				<p:outputLabel for="@next" value="Email" style="font-weight: bold" />
            				<p:inputText value="${cliente.mail} size="100" />
            				
            				<p:outputLabel for="@next" value="celular" style="font-weight: bold" />
            				<p:inputText value="${cliente.celular} size="15" />
            				
            		 </p:panelGrid>
            		 
            		 	<f:facet name="footer">
            		 		<p:commandButton value="Guardar" action="guardar" icon="ui-icon-save" />
            		 		<p:commandButton value="Cancelar" action="cancelar" icon="ui-icon-cancel" immediate="true"/>
            		 		</f:facet>
            		</p:panel>
            	
            		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
            	</h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>